pycatia.hybrid_shape_interfaces.hybrid_shape_sweep_explicit

Module initially auto generated using V5Automation files from CATIA V5 R28 on 2020-07-06 14:02:20.222384

Warning

The notes denoted “CAA V5 Visual Basic Help” are to be used as reference only. They are there as a guide as to how the visual basic / catscript functions work and thus help debugging in pycatia.

class pycatia.hybrid_shape_interfaces.hybrid_shape_sweep_explicit.HybridShapeSweepExplicit(com_object)

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)

System.IUnknown
System.IDispatch
System.CATBaseUnknown
System.CATBaseDispatch
System.AnyObject
MecModInterfaces.HybridShape
CATGSMIDLItf.HybridShapeSweep
HybridShapeSweepExplicit

Represents the hybrid shape Sweep explicit feature object.
Role: To access the data of the hybrid shape sweep explicit feature
object.

LICENSING INFORMATION: Creation of volume result requires GSO
License
if GSO License is not granted , setting of Volume context has not
effect

See also:
HybridShapeFactory
property angle_law: Reference

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property AngleLaw() As Reference

Returns or sets the angle law feature associated to the reference
surface.

Parameters:

oElem
Angle law element. return value for CATScript applications, with
(IDLRETVAL) function type

See also:
Reference
See also:
HybridShapeFactory
Return type:

Reference

property angle_law_inversion: int

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property AngleLawInversion() As long

Returns or sets the angle law inversion information.

Parameters:

oElem
Angle law inversion information.

See also:
HybridShapeFactory
Return type:

int

property angle_law_type: int

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property AngleLawType() As long

Returns or sets the angle law type associated to the reference
surface.

Parameters:

oElem
Angle law type.

See also:
HybridShapeFactory
Return type:

int

property canonical_detection: int

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property CanonicalDetection() As long

Returns or sets whether canonical surfaces of the swept surface are
detected.
Legal values:
0 No detection of canonical surface is performed.
2 Detection of canonical surfaces is performed.
Return type:

int

property context: int

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property Context() As long

Returns or sets the context on Sweep feature.

0 This option creates Swept surface.
1 This option creates Swept volume.


Note: Setting volume result requires GSO License.

Example:
This example retrieves in oContext the context for the Sweep hybrid
shape feature.

Dim oContext
Set oContext = Sweep.Context
Return type:

int

property first_guide_crv: Reference

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property FirstGuideCrv() As Reference

Gets the first guide curve.

Parameters:

oElem
Guide curve. return value for CATScript applications, with
(IDLRETVAL) function type

See also:
Reference
Returns:
HRESULT S_OK if Ok E_FAIL else return error code for C++
Implementations
See also:
HybridShapeFactory
Return type:

Reference

get_angle_ref(ii: int) Angle

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Func GetAngleRef(long ii) As Angle

Gets the angle value associated to the reference surface.

Parameters:

iI
Angle value index (1: start value, 2: end value).
oElem
Angle value. return value for CATScript applications, with
(IDLRETVAL) function type

See also:
Angle
See also:
HybridShapeFactory
Parameters:

ii (int) –

Return type:

Angle

get_fitting_points(op_ia_elem_a: Reference, op_ia_elem_b: Reference) None

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Sub GetFittingPoints(Reference opIAElemA,
Reference opIAElemB)

Gets the fitting points : located in the profile plane, these points are used for two-guide
swept surfaces to determine guide intersection locations.
param opIAElem1 Fitting point associated to the first
guide
param opIAElem2 Fitting point associated to the second guide
Parameters:
Return type:

None

get_longitudinal_relimiters(op_ia_elem_a: Reference, op_ia_elem_b: Reference) None

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Sub GetLongitudinalRelimiters(Reference opIAElemA,
Reference opIAElemB)

Deprecated:
V5R16 CATHybridShapeSweepExplicit#GetRelimiters Returns the elements
relimiting the spine (or the default spine).
param : opIAElem1 First relimiting feature (plane or point)
param : opIAElem2 Second relimiting feature (plane or point)
Parameters:
Return type:

None

get_nb_angle(o_ang: int) None

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Sub GetNbAngle(long oAng)

Returns the number of Angles.
param : oAng Number of Angle.
Parameters:

o_ang (int) –

Return type:

None

get_nb_guide(o_num: int) None

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Sub GetNbGuide(long oNum)

Gets the number of guides curves.
param : oNum Number of guide curves.
Parameters:

o_num (int) –

Return type:

None

get_nb_pos_angle(o_pos_ang: int) None

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Sub GetNbPosAngle(long oPosAng)

Gets the number of numerical positioning parameters corresponding to angles
from the default positions of the X axes.
param : oPosAng Number of parameters
Parameters:

o_pos_ang (int) –

Return type:

None

get_nb_pos_coord(o_pos_coord: int) None

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Sub GetNbPosCoord(long oPosCoord)

Gets the number of numerical positioning parameters corresponding to
coordinates of the new axes systems origins.
param oPosCoord Number of parameters
Parameters:

o_pos_coord (int) –

Return type:

None

get_pos_angle(ii: int) Angle

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Func GetPosAngle(long ii) As Angle

Gets angles if both profile and first sweep plane axis systems from default
positions.

Parameters:

iI
Index of numerical positioning coordinates in profile (value 1) or
first sweep plane (value 2) axis system.
oElem
Angle value. return value for CATScript applications, with
(IDLRETVAL) function type

See also:
Angle
See also:
HybridShapeFactory
Parameters:

ii (int) –

Return type:

Angle

get_pos_coord(ii: int) Length

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Func GetPosCoord(long ii) As Length

Gets translations coordinates if both profile axis system and first sweep
plane axis system from default positions.

Parameters:

iI
Index of numerical positioning coordinates in profile (value 1 or
2) or first sweep plane (value 3 or 4) axis system.

oElem
Coordinate value. return value for CATScript applications, with
(IDLRETVAL) function type

See also:
Length
See also:
HybridShapeFactory
Parameters:

ii (int) –

Return type:

Length

get_pos_direction(ii: int) Reference

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Func GetPosDirection(long ii) As Reference

Gets the positioning directions : profile plane or first sweep plane X-axis direction.

Parameters:

iI
Plane index : 1 for profile plane, 2 for first sweep plane.
oElem
Direction element. return value for CATScript applications, with
(IDLRETVAL) function type

See also:
Reference
See also:
HybridShapeFactory
Parameters:

ii (int) –

Return type:

Reference

get_pos_point(ii: int) Reference

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Func GetPosPoint(long ii) As Reference

Gets the points designated as the origins of the profile plane and first
sweep plane.

Parameters:

iI
Plane index : 1 for profile plane, 2 for first sweep plane.
oElem
Origin point. return value for CATScript applications, with
(IDLRETVAL) function type

See also:
Reference
See also:
HybridShapeFactory
Parameters:

ii (int) –

Return type:

Reference

get_pos_swap_axes(ii: int) int

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Func GetPosSwapAxes(long ii) As long

Gets axes inversion from previous definition for both profile plane and
first sweep plane.

Parameters:

iI
Axis system index (1 for profile plane, 2 for first sweep plane).

oElem
Inversion value:
Inversion values :
= 1 - CATGSMAxisInversionMode_None : no axis inverted.
= 2 - CATGSMAxisInversionMode_X : only X axis inverted.
= 3 - CATGSMAxisInversionMode_Y : only Y axis inverted.
= 4 - CATGSMAxisInversionMode_Both : both axes inverted.

See also:
HybridShapeFactory
Parameters:

ii (int) –

Return type:

int

get_relimiters(op_ia_elem1: Reference, op_orient1: int, op_ia_elem2: Reference, op_orient2: int) None

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Sub GetRelimiters(Reference opIAElem1,
long opOrient1,
Reference opIAElem2,
long opOrient2)

Retrieves the elements relimiting the spine (or the default
spine).

Parameters:

opIAElem1
The first relimiting feature (plane or point)
opOrient1
Split direction for the first relimitation
0 means that the beginning of the spine (considering its
orientation) is removed, 1 means that the end of the spine is removed

opIAElem2
The second relimiting feature (plane or point)
opOrient2
Split direction for the second relimitation
Parameters:
  • op_ia_elem1 (Reference) –

  • op_orient1 (int) –

  • op_ia_elem2 (Reference) –

  • op_orient2 (int) –

Return type:

None

property guide_deviation: Length

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property GuideDeviation() As Length (Read Only)

Returns deviation value (length) from guide curves allowed during sweeping
operation in order to smooth it.
Return type:

Length

property guide_deviation_activity: bool

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property GuideDeviationActivity() As boolean

Returns or sets information whether a deviation from guide curves is
allowed or not.
Gives the information on performing smoothing during sweeping
operation.
TRUE or FALSE (FALSE if not specified).
Return type:

bool

property guide_projection: bool

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property GuideProjection() As boolean

Returns or sets the projection of the guide curve onto the reference plane
in order to use it as spine, in pulling direction case only. Removes Spine if
GuideProjection is set to TRUE.
Legal values: True projection is required and False if not

Example:

This example sets that the GuideProjection mode of
the Sweep hybrid shape sweep explicit feature to
True.


Sweep.GuideProjection = True
Return type:

bool

is_sketch_axis_used_as_default(o_boolean: bool) None

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Sub IsSketchAxisUsedAsDefault(boolean oBoolean)

Queries status wherere Sketch axis used as default or not.
In case of a sketch profile, specify if the 2D sketch axis must be used as
default planar profile axis (for positioning purpose) or
not.
param oBoolean TRUE if the 2D sketch axis must be used, FALSE if not.
Parameters:

o_boolean (bool) –

Return type:

None

property mode: int

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property Mode() As long

Returns or sets positioning mode used for the profile.

Parameters:

oElem

Values :
= 1 - CATGSMPositionMode_NoneOrPositioned : no positioning,

= 2 - CATGSMPositionMode_ExplicitSweep : the explicit profile is to be moved from its
initial plane to the first sweep plane,

= 3 - CATGSMPositionMode_Develop : === DO NOT USE IN THIS CASE ===

See also:
HybridShapeFactory
Return type:

int

property position_mode: int

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property PositionMode() As long

Returns or sets positioning mode.
Legal values:

0
CATGSMPositionMode_NoneOrPositioned.
1
CATGSMPositionMode_ExplicitSweep. if a positioning operation is
done.

Example:
This example retrieves in oPosMode the position mode for the Sweep hybrid
shape feature.

oPosMode = Sweep.PositionMode
Return type:

int

property positioned_profile: Reference

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property PositionedProfile() As Reference

Returns or sets the positioning transformation associated to the explicit
swept surface and which result corresponds to the positioned
profile.

Parameters:

oElem
Positioning transformation / positioned profile. return value for
CATScript applications, with (IDLRETVAL) function type


See also:
Reference
See also:
HybridShapeFactory
Return type:

Reference

property profile: Reference

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property Profile() As Reference

Gets the profile to be swept out.

Parameters:

oElem
Profile element. return value for CATScript applications, with
(IDLRETVAL) function type

See also:
Reference
Returns:
HRESULT S_OK if Ok E_FAIL else return error code for C++
Implementations
See also:
HybridShapeFactory
Return type:

Reference

property profile_x_axis_computation_mode: int

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property ProfileXAxisComputationMode() As long

Returns or sets the computation mode of the X axis (or direction) of the
initial axis system (on the profile). Default value is
CATGSMPositionDirCompMode_None when PosDirection(OutputDirection) is not
specified and CATGSMPositionDirCompMode_User if OutputDirection is
specified.
Legal values:

0
CATGSMPositionDirCompMode_None. No X axis specified.
1
CATGSMPositionDirCompMode_Tangent: the X axis is implicitly the tangent
of the profile at the origin (the origin then HAS to be on the
profile)
2
CATGSMPositionDirCompMode_User: the X axis is specified by a direction
via SetPosDirection(UserInputDirection, 1)

Example:
This example retrieves in oDirCompMode the Profile X Axis ComputationMode
for the Sweep hybrid shape feature.

oDirCompMode = Sweep.ProfileXAxisComputationMode
Return type:

int

property pulling_direction: HybridShapeDirection

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property PullingDirection() As HybridShapeDirection

Gets or sets the pulling direction
If the direction is specified, the plane normal to this direction is taken
as reference surface.

Example:
This example retrieves in ohDir the pulling direction feature for the
Sweep hybrid shape feature.

Dim ohDir As CATIAHybridShapeDirection
Set ohDir = Sweep.PullingDirection
Return type:

HybridShapeDirection

property reference: Reference

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property Reference() As Reference

Returns or sets the reference surface (optional).

Parameters:

oElem
Reference surface. return value for CATScript applications, with
(IDLRETVAL) function type

See also:
Reference
Return type:

Reference

remove_angle() None

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Sub RemoveAngle()

Removes an Angle.
Return type:

None

remove_fitting_points() None

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Sub RemoveFittingPoints()

Removes the fitting points.
Return type:

None

remove_guide() None

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Sub RemoveGuide()

Removes a guide curve.
Return type:

None

property second_guide_crv: Reference

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property SecondGuideCrv() As Reference

Gets the second guide curve (optional).

Parameters:

oElem
Guide curve. return value for CATScript applications, with
(IDLRETVAL) function type

See also:
Reference
Returns:
HRESULT S_OK if Ok E_FAIL else return error code for C++
Implementations
See also:
HybridShapeFactory
Return type:

Reference

set_angle_ref(ii: int, elem: float) None

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Sub SetAngleRef(long ii,
double Elem)

Sets the angle value associated to the reference surface.

Parameters:

iI
Angle value index (1: start value, 2: end value).
iElem
Angle value.

See also:
HybridShapeFactory
Parameters:
  • ii (int) –

  • elem (float) –

Return type:

None

set_fitting_points(ip_ia_elem_a: Reference, ip_ia_elem_b: Reference) None

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Sub SetFittingPoints(Reference ipIAElemA,
Reference ipIAElemB)

Sets the fitting points.
Does not work with NULL_var values, Use RemoveFittingPoints() method
instead.
param ipIAElem1 Fitting point associated to the first guide (must not be
equal to NULL_var)
param ipIAElem2 Fitting point associated to the second guide (can be equal
to NULL_var)
Parameters:
Return type:

None

set_guide_deviation(i_length: float) None

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Sub SetGuideDeviation(double iLength)

Sets deviation value (length) from guide curves allowed during sweeping.
operation in order to smooth it.
param : iLength Numerical value.
Parameters:

i_length (float) –

Return type:

None

set_longitudinal_relimiters(ip_ia_elem_a: Reference, ip_ia_elem_b: Reference) None

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Sub SetLongitudinalRelimiters(Reference ipIAElemA,
Reference ipIAElemB)

Deprecated:
V5R16 CATHybridShapeSweepExplicit#SetRelimiters Sets the elements
relimiting the spine (or the default spine).
param : ipIAElem1 First relimiting feature (plane or point)
param : ipIAElem2 Second relimiting feature (plane or point)
Parameters:
Return type:

None

set_pos_angle(ii: int, elem: float) None

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Sub SetPosAngle(long ii,
double Elem)

Sets angles if both profile and first sweep plane axis systems from default
positions.

Parameters:

iI
Index of numerical positioning coordinates in profile (value 1) or
first sweep plane (value 2) axis system.
iElem
Angle value.

See also:
HybridShapeFactory
Parameters:
  • ii (int) –

  • elem (float) –

Return type:

None

set_pos_coord(ii: int, elem: float) None

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Sub SetPosCoord(long ii,
double Elem)

Sets translations coordinates if both profile axis system and first sweep
plane axis system from default positions.

Parameters:

iI
Index of numerical positioning coordinates in profile (value 1 or
2) or first sweep plane (value 3 or 4) axis system.

iElem
Coordinate value.

See also:
HybridShapeFactory
Parameters:
  • ii (int) –

  • elem (float) –

Return type:

None

set_pos_direction(ii: int, elem: Reference) None

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Sub SetPosDirection(long ii,
Reference Elem)

Sets the positioning directions : profile plane or first sweep plane X-axis direction.

Parameters:

iI
Plane index : 1 for profile plane, 2 for first sweep plane.
iElem
Direction element.

See also:
Reference
See also:
HybridShapeFactory
Parameters:
Return type:

None

set_pos_point(ii: int, elem: Reference) None

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Sub SetPosPoint(long ii,
Reference Elem)

Sets the points designated as the origins of the profile plane and first
sweep plane.

Parameters:

iI
Plane index : 1 for profile plane, 2 for first sweep plane.
iElem
Origin point.

See also:
Reference
See also:
HybridShapeFactory
Parameters:
Return type:

None

set_pos_swap_axes(ii: int, elem: int) None

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Sub SetPosSwapAxes(long ii,
long Elem)

Sets axes inversion from previous definition for both profile plane and
first sweep plane.

Parameters:

iI
Axis system index (1 for profile plane, 2 for first sweep plane).

iElem
Inversion value:

Inversion values :
= 1 - CATGSMAxisInversionMode_None : no axis inverted.
= 2 - CATGSMAxisInversionMode_X : only X axis inverted.
= 3 - CATGSMAxisInversionMode_Y : only Y axis inverted.
= 4 - CATGSMAxisInversionMode_Both : both axes inverted.

See also:
HybridShapeFactory
Parameters:
  • ii (int) –

  • elem (int) –

Return type:

None

set_relimiters(ip_ia_elem1: Reference, ip_orient1: int, ip_ia_elem2: Reference, ip_orient2: int) None

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Sub SetRelimiters(Reference ipIAElem1,
long ipOrient1,
Reference ipIAElem2,
long ipOrient2)

Sets the elements relimiting the spine (or the default
spine).

Parameters:

ipIAElem1
The first relimiting feature (plane or point)
ipOrient1
Split direction for the first relimitation
0 means that the beginning of the spine (considering its
orientation) is removed, 1 means that the end of the spine is removed

ipIAElem2
The second relimiting feature (plane or point)
ipOrient2
Split direction for the second relimitation
Parameters:
  • ip_ia_elem1 (Reference) –

  • ip_orient1 (int) –

  • ip_ia_elem2 (Reference) –

  • ip_orient2 (int) –

Return type:

None

set_smooth_angle_threshold(i_angle: float) None

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Sub SetSmoothAngleThreshold(double iAngle)

Sets angular threshold.
param : iAngle Numerical value.
Parameters:

i_angle (float) –

Return type:

None

property smooth_activity: bool

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property SmoothActivity() As boolean

Returns or sets information whether sweeping operation is smoothed or
not.
TRUE or FALSE (FALSE if not specified).
Return type:

bool

property smooth_angle_threshold: Angle

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property SmoothAngleThreshold() As Angle (Read Only)

Returns angular threshold.
Return type:

Angle

property solution_no: int

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property SolutionNo() As long

Returns or sets the choice number, which corresponds to each solution of a
given explicit sweep case.
For example: a explicit sweep with reference surface leads to four possible
solutions.
Return type:

int

property spine: Reference

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property Spine() As Reference

Returns or sets the spine (optional) for sweep operation.

Parameters:

oElem
Spine curve. return value for CATScript applications, with
(IDLRETVAL) function type

See also:
Reference
See also:
HybridShapeFactory
Return type:

Reference

property sub_type: int

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property SubType() As long

Returns or sets the explicit sweep subtype.
Legal subtype values are:
1 Explicit profile swept surface defined with reference
surface
2 Explicit profile swept surface defined with two guide
curves
3 Explicit profile swept surface defined with pulling
direction
Return type:

int

use_sketch_axis_as_default(i_boolean: bool) None

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Sub UseSketchAxisAsDefault(boolean iBoolean)

Uses Sketch Axis As Default.
In case of a sketch profile, specify if the 2D sketch axis must be used as
default planar profile axis (for positioning purpose) or
not.
param iBoolean TRUE if the 2D sketch axis must be used, FALSE if not.
Parameters:

i_boolean (bool) –

Return type:

None